Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Installation fails with RubyGems 1.3.7 and RVM #4

Closed
bscofield opened this Issue Jun 2, 2011 · 0 comments

Comments

Projects
None yet
2 participants

Running RVM (Ruby 1.9.2) and RubyGems 1.3.7:

$ gem install slimgems
Password:
Building native extensions.  This could take a while...
ERROR:  Error installing slimgems:
    ERROR: Failed to build gem native extension.

/Users/ben/.rvm/rubies/ruby-1.9.2-p136/bin/ruby -rubygems /Users/ben/.rvm/gems/ruby-1.9.2-p136/gems/rake-0.8.7/bin/rake RUBYARCHDIR=/Users/ben/.rvm/gems/ruby-1.9.2-p136/gems/slimgems-1.3.8/hide_lib_for_update RUBYLIBDIR=/Users/ben/.rvm/gems/ruby-1.9.2-p136/gems/slimgems-1.3.8/hide_lib_for_update
ERROR:  While executing gem ... (Errno::ENOENT)
    No such file or directory - /Users/ben/.rvm/rubies/ruby-1.9.2-p136/lib/ruby/site_ruby/1.9.1/rubygems


Gem files will remain installed in /Users/ben/.rvm/gems/ruby-1.9.2-p136/gems/slimgems-1.3.8 for inspection.
Results logged to /Users/ben/.rvm/gems/ruby-1.9.2-p136/gems/slimgems-1.3.8/bootstrap/gem_make.out

Obviously this won't be the standard use case -- there'll be more people installing SlimGems from later versions of RubyGems. I doubt this'll be unique, though.

I was able to install successfully once I gem update --systemed to RubyGems 1.8.5.

@lsegal lsegal closed this in 999f8db Jun 2, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment